KDEINIT4(8)

NAME
kdeinit4 - KDE protsesside käivitaja

KOKKUVõTE

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programs] | [programs]]

KIRJELDUS

kdeinit4 on protsesside käivitaja, mis mõnevõrra sarnaneb UNIX-i käivitamiseks kasutatud kuulsa init'iga. See käivitab märksa tõhusamalt KDE programmid ja kdeiniti laaditavad moodulid (KLM-id).

kdeinit4 kasutamine KDE rakenduste käivitamiseks paneb tüüpilise KDE rakenduse käivituma mitu korda kiiremini ning vähendab tunduvalt mälukasutust.

kdeinit4 on lingitud kõigi teekidega, mida vajab standardne KDE rakendus. Sel moel muutub rakenduse käivitamine palju kiiremaks, sest nüüd on vaja linkida ainult veel rakendus ise, mitte aga nii rakendus kui ka kõik teegid, mida see kasutab.

MIINUSED

kdeinit4 abil käivitatud rakenduste protsessi nimi on "kdeinit4". Seda probleemi saab teataval määral parandada rakenduse nime muutes, nagu seda näitab ps. Kuid sellised rakendused nagu killall näevad ometi protsessi nimena ainult kdeinit4. Selle häda lahendamiseks kasuta kõigi kdeinit4 abil käivitatud rakenduste tapmiseks kdekillall (leidub kdesdk/scripts all).

VõTMED

--help
    Näitab abi võtmete kohta

--no-fork
    Harunemist ei kasutata, s.t ei väljuta enne, kui kõik käivitatud programmid on töö lõpetanud

--no-kded
    kded-d ei käivitata

--suicide
    Töö lõpetatakse, kui enam ei tööta ükski KDE rakendus

+programs
    programmide käivitamine päringutega tegeldes

programs
    programmide käivitamine päringutega tegelemata

KASUTAMINE

Standardne viis programmi käivitada on anda käsureal käsk kdeinit4 program või kdeinit4 +program .

FAILID

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

KESKKONNAMUUTUJAD

$HOME
    Määrab aktiivse kasutaja kodukataloogi

$KDE_HOME_READONLY
    Määrab, kas aktiivse kasutaja kodukataloog on kirjutuskaitstud

$KDE_IS_PRELINKED
    Määramise korral annab kdeinit4-le teada, et KDE programmid on eelnevalt lingitud

    (Eellinkimine on protsess, mis võimaldab kiirendada dünaamilist linkimist.)

$KDE_DISPLAY
    Määramise korral annab kdeinit4-le teada, et töötatakse KDE töölaual

VAATA KA

kded, kdekillall

VEAD

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org[1].

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org